다음을 통해 공유


Certificates - Create Or Update

인증서 만들기 또는 업데이트에 대한 설명입니다.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/certificates/{name}?api-version=2025-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
name
path True

string

인증서의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 필수 형식 Description
location True

string

리소스가 있는 지리적 위치

kind

string

리소스 종류입니다. 리소스가 앱인 경우 https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference 참조하여 종류에 대해 지원되는 세부 정보를 확인할 수 있습니다.

properties.canonicalName

string

무료 인증서를 통해 발급할 인증서의 CNAME

properties.domainValidationMethod

string

무료 인증서에 대한 도메인 유효성 검사 방법

properties.hostNames

string[]

인증서가 적용되는 호스트 이름입니다.

properties.keyVaultId

string (arm-id)

Azure Key Vault CSM 리소스 ID입니다.

properties.keyVaultSecretName

string

Azure Key Vault 비밀 이름입니다.

properties.password

string

인증서 암호입니다.

properties.pfxBlob

string (byte)

Pfx Blob.

properties.serverFarmId

string (arm-id)

연결된 App Service 계획의 리소스 ID입니다.

tags

object

리소스 태그.

응답

Name 형식 Description
200 OK

Certificate

리소스 '인증서' 업데이트 작업이 성공했습니다

Other Status Codes

DefaultErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Create Or Update Certificate

샘플 요청

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282?api-version=2025-05-01

{
  "location": "East US",
  "properties": {
    "hostNames": [
      "ServerCert"
    ],
    "password": "<password>"
  }
}

샘플 응답

{
  "name": "testc6282",
  "type": "Microsoft.Web/certificates",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282",
  "location": "East US",
  "properties": {
    "expirationDate": "2039-12-31T23:59:59+00:00",
    "friendlyName": "",
    "hostNames": [
      "ServerCert"
    ],
    "issueDate": "2015-11-12T23:40:25+00:00",
    "issuer": "CACert",
    "subjectName": "ServerCert",
    "thumbprint": "FE703D7411A44163B6D32B3AD9B03E175886EBFE"
  }
}

정의

Name Description
Certificate

앱에 대한 SSL 인증서입니다.

createdByType

리소스를 만든 ID의 형식입니다.

DefaultErrorResponse

App Service 오류 응답입니다.

DefaultErrorResponseError

오류 모델입니다.

DefaultErrorResponseErrorDetailsItem

자세한 오류입니다.

HostingEnvironmentProfile

이 리소스에 사용할 App Service Environment에 대한 사양입니다.

KeyVaultSecretStatus

Key Vault 비밀의 상태입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Certificate

앱에 대한 SSL 인증서입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

리소스 종류입니다. 리소스가 앱인 경우 https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference 참조하여 종류에 대해 지원되는 세부 정보를 확인할 수 있습니다.

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties.canonicalName

string

무료 인증서를 통해 발급할 인증서의 CNAME

properties.cerBlob

string (byte)

.cer 파일의 원시 바이트

properties.domainValidationMethod

string

무료 인증서에 대한 도메인 유효성 검사 방법

properties.expirationDate

string (date-time)

인증서 만료 날짜입니다.

properties.friendlyName

string

인증서의 식별 이름입니다.

properties.hostNames

string[]

인증서가 적용되는 호스트 이름입니다.

properties.hostingEnvironmentProfile

HostingEnvironmentProfile

인증서에 사용할 App Service Environment에 대한 사양입니다.

properties.issueDate

string (date-time)

인증서 발급 날짜입니다.

properties.issuer

string

인증서 발급자입니다.

properties.keyVaultId

string (arm-id)

Azure Key Vault CSM 리소스 ID입니다.

properties.keyVaultSecretName

string

Azure Key Vault 비밀 이름입니다.

properties.keyVaultSecretStatus

KeyVaultSecretStatus

Key Vault 비밀의 상태입니다.

properties.password

string

인증서 암호입니다.

properties.pfxBlob

string (byte)

Pfx Blob.

properties.publicKeyHash

string

공개 키 해시입니다.

properties.selfLink

string

셀프 링크.

properties.serverFarmId

string (arm-id)

연결된 App Service 계획의 리소스 ID입니다.

properties.siteName

string

앱 이름.

properties.subjectName

string

인증서의 주체 이름입니다.

properties.thumbprint

string

인증서 지문.

properties.valid

boolean

인증서가 유효한가요?

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service 오류 응답입니다.

Name 형식 Description
error

DefaultErrorResponseError

오류 모델입니다.

DefaultErrorResponseError

오류 모델입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 오류를 식별하기 위한 표준화된 문자열입니다.

details

DefaultErrorResponseErrorDetailsItem[]

자세한 오류입니다.

innererror

string

디버그 오류에 대한 자세한 정보입니다.

message

string

자세한 오류 설명 및 디버깅 정보.

target

string

자세한 오류 설명 및 디버깅 정보.

DefaultErrorResponseErrorDetailsItem

자세한 오류입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 오류를 식별하기 위한 표준화된 문자열입니다.

message

string

자세한 오류 설명 및 디버깅 정보.

target

string

자세한 오류 설명 및 디버깅 정보.

HostingEnvironmentProfile

이 리소스에 사용할 App Service Environment에 대한 사양입니다.

Name 형식 Description
id

string

App Service Environment의 리소스 ID입니다.

name

string

App Service Environment의 이름입니다.

type

string

App Service Environment의 리소스 종류입니다.

KeyVaultSecretStatus

Key Vault 비밀의 상태입니다.

Description
Initialized
WaitingOnCertificateOrder
Succeeded
CertificateOrderFailed
OperationNotPermittedOnKeyVault
AzureServiceUnauthorizedToAccessKeyVault
KeyVaultDoesNotExist
KeyVaultSecretDoesNotExist
UnknownError
ExternalPrivateKey
Unknown

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.